Change log for drbd8 package in Ubuntu

132 of 32 results
Published in precise-updates on 2014-06-16
Deleted in precise-proposed (Reason: moved to -updates)
drbd8 (2:8.4.3-0ubuntu0.12.04.2) precise-proposed; urgency=low

  * d/p/ubuntu-fix-drbdsetup-legacy-path.patch
    Test kernel module version and run the legacy drbdsetup early if
    it is lower than 8.4. Also do not try to be smart about paths for
    the legacy command (newer upstream versions do the same) (LP: #1314289).
  * d/p/ubuntu-compat83-init-script.patch:
    Fix service stop to shut down the resources (LP: #1314289).
  * d/p/ubuntu-compat83-ocf-script.patch:
    Fix pacemaker/corosync startup when running compat mode (LP: #1314289).
  * d/p/ubuntu-fix-drbdadm-version-check.patch:
    Fix compat mode when DRBD_DONT_WARN_ON_VERSION_MISMATCH is set
    (LP: #1314598)
  * d/rules: Create soft-links for compat binaries in /sbin to work
    around the tools looking for compat binaries in their own path
    when called with full path (LP: #1314289).
 -- Stefan Bader <email address hidden>   Wed, 30 Apr 2014 15:20:23 +0200
Deleted in vivid-release (Reason: (From Debian) ROM; source package renamed to drbd-utils; ...)
Published in utopic-release on 2014-04-23
Published in trusty-release on 2014-02-14
Deleted in trusty-proposed (Reason: moved to release)
drbd8 (2:8.4.4-1ubuntu1) trusty; urgency=medium

  * debian/patches/ppc64el-ftbfs.patch: Fix build failure on ppc64el.
 -- Steve Langasek <email address hidden>   Thu, 13 Feb 2014 18:40:32 -0800
Superseded in precise-updates on 2014-06-16
Deleted in precise-proposed on 2014-06-17 (Reason: moved to -updates)
drbd8 (2:8.4.3-0ubuntu0.12.04.1) precise; urgency=low

  * Backport version from 13.04 so that the utils will handle the
    changed in-kernel drbd module from the LTS Raring kernel
    (LP: #1185756).
  * Activate legacy command support by adding --with-legacy_utils to
    debian/rules.
  * Comment out "options" section in global_common.conf as testing
    showed problems in the backport.
  * Forward port the adjust_with_progress shell function from older
    versions of the utils and add the path to legacy utils to PATH.
  * Adjust legacy version to 8.3.11 as the code looks to be at least
    that version or later.
 -- Stefan Bader <email address hidden>   Sat, 21 Sep 2013 18:40:51 -0500
Superseded in trusty-release on 2014-02-14
Deleted in trusty-proposed on 2014-02-15 (Reason: moved to release)
drbd8 (2:8.4.4-1) unstable; urgency=low


  * New upstream version (Closes: #714210, #721443, #711781)
  * Do not participate in the usage count by default (Closes: #711352)
  * Basic systemd support
  * Bump compat to 9 and standards to 3.9.5
  * Convert to dh sequencer
    + use dh_installinit for the initscript and use the default ordering
     (Closes: #476544)
  * Two new patches, fixing automatic chainloading of legacy drbdsetup when
    kernel DRBD is 8.3:
    + 0001-drbdsetup-use-lib-drbd-drbdsetup-83.patch
    + 0002-drbdsetup-delay-exiting-due-to-unknown-commands.patch
  * Convert copyright to Format 1.0
  * Remove unnecessary (build-)dependencies:
    bison, bzip2, debconf
  * Fix Vcs-Git URL

 -- Apollon Oikonomopoulos <email address hidden>  Thu, 07 Nov 2013 14:02:13 +0200
Superseded in trusty-release on 2013-12-30
Published in saucy-release on 2013-04-25
Published in raring-release on 2013-02-27
Deleted in raring-proposed (Reason: moved to release)
drbd8 (2:8.4.3-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Works against 3.8 kernel (LP: #1132302).
  * Dropped patches:
    - 0001-init-interactive-debian-613654.patch: applied upstream.
    - disable-default-handlers: all default handlers now appear to ship
      disabled from upstream.
 -- Robie Basak <email address hidden>   Tue, 26 Feb 2013 13:24:44 +0000
Superseded in raring-release on 2013-02-27
Published in quantal-release on 2012-08-22
drbd8 (2:8.3.13-1.1ubuntu1) quantal; urgency=low

  * Resync from Debian unstable.
  * debian/patches/ubuntu_cn_idx.patch: Update CN_IDX to 0x8.
 -- Andres Rodriguez <email address hidden>   Fri, 29 Jun 2012 03:52:34 +0000
Published in lucid-updates on 2012-06-07
Deleted in lucid-proposed (Reason: moved to -updates)
drbd8 (2:8.3.7-1ubuntu2.3) lucid-proposed; urgency=low

  * debian/patches/usermodehelper-consistently.dpatch:
    - upstream commit e6cbc43
    - usermodehelper: use UMH_WAIT_PROC consistently
    - (LP: #1000355)
 -- Ante Karamatic <email address hidden>   Thu, 17 May 2012 09:29:33 +0200
Superseded in lucid-updates on 2012-06-07
Deleted in lucid-proposed on 2012-06-08 (Reason: moved to -updates)
drbd8 (2:8.3.7-1ubuntu2.2) lucid-proposed; urgency=low

  * SRU:
    - debian/patches/11_fix_lvm_infinite_loop.dpatch: infinite loop in
      helper LVM script. (LP: #744293)
 -- Andres Rodriguez <email address hidden>   Thu, 05 May 2011 10:20:53 -0400
Superseded in quantal-release on 2012-08-22
Published in precise-release on 2011-10-13
Published in oneiric-release on 2011-07-05
drbd8 (2:8.3.11-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/01_ubuntu_cn_idx.dpatch: Refreshed.
 -- Andres Rodriguez <email address hidden>   Tue, 05 Jul 2011 15:40:13 -0400
Superseded in oneiric-release on 2011-07-05
Obsolete in natty-release on 2013-06-04
drbd8 (2:8.3.9-1ubuntu1) natty; urgency=low

  * Resync from debian unstable (LP: #707117)
  * debian/patches/01_ubuntu_cn_idx.dpatch: Update CN_IDX to 0x8
 -- Andres Rodriguez <email address hidden>   Mon, 24 Jan 2011 15:36:33 -0500
Superseded in natty-release on 2011-01-24
Obsolete in maverick-release on 2013-03-05
drbd8 (2:8.3.8.1-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #607835)
  * DRBD Kernel Module is now in mainline Kernel. Related changes:
    - debian/control:
      + Comment out drbd8-source package.
      + Drop Depends on drbd8-source for drbd8-utils package.
    - debian/rules: Comment rules related to -source package installation.
  * debian/patches/01_ubuntu_cn_idx.dpatch: Update CN_IDX to 0x8.
 -- Andres Rodriguez <email address hidden>   Tue, 20 Jul 2010 12:01:03 -0400
Superseded in lucid-updates on 2011-11-07
Superseded in maverick-release on 2010-07-26
Deleted in lucid-proposed on 2011-11-08 (Reason: moved to -updates)
drbd8 (2:8.3.7-1ubuntu2.1) lucid-proposed; urgency=low

  * Use KDIR instead of KERNELDIR variable for headers path
    - thanks Gaëtan Ferez for debugging
    - (LP: #562832)
 -- Ante Karamatic <email address hidden>   Mon, 19 May 2010 09:22:17 +0200
Superseded in maverick-release on 2010-06-08
Published in lucid-release on 2010-04-15
drbd8 (2:8.3.7-1ubuntu2) lucid; urgency=low

  * Drop recommends on kernel-package, we use dkms instead.
 -- Steve Langasek <email address hidden>   Thu, 15 Apr 2010 13:24:49 +0000
Superseded in lucid-release on 2010-04-15
drbd8 (2:8.3.7-1ubuntu1) lucid; urgency=low

  * Merge from Debian, remaining Ubuntu changes:
    - switch to DKMS:
      + debian/control: drbd8-utils depends on drbd8-source
      + debian/control: drbd8-source depends on dkms and kernel headers
      + debian/dkms.conf
      + debian/drbd8-source.postinst
      + debian/drbd8-source.prerm
      + debian/rules
      + removed 10_different-kernels.dpatch; not needed with DKMS
      + debian/drbd8-source.dirs: removed modass directory
  * Use /usr/lib/dkms/common.postinst in debian/drbd8-source.postinst
    (LP: #497149)
 -- Ante Karamatic <email address hidden>   Wed, 27 Jan 2010 17:57:54 +0000
Superseded in lucid-release on 2010-03-05
drbd8 (2:8.3.3-0ubuntu2) lucid; urgency=low

  * Drop kernel-package recommends to a suggests so that kernel-package can be
    demoted to universe.
 -- Mathias Gug <email address hidden>   Thu, 28 Jan 2010 18:58:29 -0500
Superseded in lucid-release on 2010-01-29
Obsolete in karmic-release on 2013-03-04
drbd8 (2:8.3.3-0ubuntu1) karmic; urgency=low

  * Merge from Debian, remaining Ubuntu changes:
    - switch to DKMS:
      + debian/control: drbd8-utils depends on drbd8-source
      + debian/control: drbd8-source depends on dkms and kernel headers
      + debian/dkms.conf
      + debian/drbd8-source.postinst
      + debian/drbd8-source.prerm
      + debian/rules
     - removed 10_different-kernels.dpatch; not needed with DKMS
   * Source update to final 8.3.3 version

 -- Ante Karamatic <email address hidden>   Wed, 07 Oct 2009 09:47:00 +0200

Available diffs

Superseded in karmic-release on 2009-10-07
drbd8 (2:8.3.2-2) unstable; urgency=low

  * Switch to DKMS, patch from Ante Karamatić (Ubuntu).

Available diffs

Superseded in karmic-release on 2009-07-28
drbd8 (2:8.3.1-2ubuntu1) karmic; urgency=low

  [ Ante Karamatic ]
  * Merge from debian unstable, remaining changes (LP: #371829):
    - Update maintainer according to spec.
    - Drop the kernel modules since it is apart of linux-ubuntu-modules.
    - debian/patches/ubuntu-cn-idx.dpatch:
      - change CN_IDX_DRBD to 0x6 in drbd/linux/drbd.h
  * Dropped:
    - Made the lsb init script a bit more compliant: merged upstream.

Superseded in karmic-release on 2009-05-14
Obsolete in jaunty-release on 2013-02-28
drbd8 (2:8.3.0-1ubuntu1) jaunty; urgency=low

  * Closes (LP: #320831)
  * Modify init script's default runlevels (LP: #282876):
    - start by default on 2, 3, 4 and 5
    - stop by default on 0, 1 and 6
  * Merge from debian unstable, remaining changes:
    - Update maintainer according to spec.
    - Made the lsb init script a bit more compliant.
    - Drop the kernel modules since it is apart of linux-ubuntu-modules.
    - Change CN_IDX_DRBD to 0x6 in drbd/linux/drbd.h

 -- Ante Karamatic <email address hidden>   Wed, 24 Dec 2008 08:54:58 +0100
Superseded in jaunty-release on 2009-01-26
Obsolete in intrepid-release on 2013-02-20
drbd8 (2:8.2.6-2ubuntu1) intrepid; urgency=low

  * Merge from debian experimental, remaining changes:
    - Update maintainer according to spec.
    - Made the lsb init script a bit more compliant.
    - Drop the kernel modules since it is apart of linux-ubuntu-modules.
  * Change CN_IDX_DRBD to 0x6 in drbd/linux/drbd.h

 -- Ante Karamatic <email address hidden>   Sat, 04 Oct 2008 11:33:52 +0200
Superseded in intrepid-release on 2008-10-08
drbd8 (2:8.0.12-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Update maintainer according to spec.
    - Made the lsb init script a bit more compliant.
    - Drop the kernel modules since it is apart of linux-ubuntu-modules.

Superseded in intrepid-release on 2008-06-19
Published in hardy-release on 2008-02-19
Superseded in hardy-release on 2008-02-19
drbd8 (2:8.0.11-0ubuntu3) hardy; urgency=low

  * Made the init script LSB compliant.

 -- Chuck Short <email address hidden>   Fri, 15 Feb 2008 13:23:29 -0500
Superseded in hardy-release on 2008-02-15
drbd8 (2:8.0.11-0ubuntu2) hardy; urgency=low

  * Fix FTBFS.

 -- Chuck Short <email address hidden>   Thu, 14 Feb 2008 11:11:05 -0500
Superseded in hardy-release on 2008-02-14
drbd8 (2:8.0.11-0ubuntu1) hardy; urgency=low

  * New upstream version.
  * Dropped kernel source since it is in linux-ubuntu-modules.

 -- Chuck Short <email address hidden>   Wed, 13 Feb 2008 09:41:06 -0500
Superseded in hardy-release on 2008-02-14
drbd8 (2:8.0.7-1) unstable; urgency=low

  * New upstream release

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  19 Nov 2007 11:43:54 +0000
Superseded in hardy-release on 2007-11-19
drbd8 (2:8.0.6-0.1) unstable; urgency=low

  * Non-Maintainer upload with permission of Philipp Hug.
  * New upstream release (Closes: #438167)
  * Switch to debhelper 5.
  * Rename kernel module package from drbd8-module-source to
    drbd8-source.
  * Compress the module source tarball with bzip2.
  * Provide modules/drbd8 to allow parallel installation with
    drbd0.7-module-source, and remove obsolete Conflict header.
  * Provide own Makefiles in the module tarball for automated building
    within linux-modules-extra-2.6 (closes: #431771)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  05 Nov 2007 19:19:00 +0000
Superseded in hardy-release on 2007-11-05
drbd8 (2:8.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #432104)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 15:58:30 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
drbd8 (2:8.0.3-2) unstable; urgency=low

  * Updated Maintainer in control.modules.in
  * Added documentation about how to install source package

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  22 Jun 2007 09:43:30 +0100
Superseded in gutsy-release on 2007-06-22
drbd8 (2:8.0.3-1) unstable; urgency=low

  * New upstream release
  * Added watch file

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  24 May 2007 12:53:32 +0100
Superseded in gutsy-release on 2007-05-24
drbd8 (2:8.0.2-1) unstable; urgency=low

  * New upstream release

Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
drbd8 (2:8.0pre5-1) unstable; urgency=low

  * New upstream release
  * scripts/drbd: patch for LSB compliance, submitted the patch upstream.
  * debian/rules: the documentation/Makefile 'clean' target as been
    renamed to 'doc-clean'

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
drbd8 (8.0-pre3-1) unstable; urgency=low

  * New upstream release
  * debian/control.modules.in: fixed "Source" field thanks to Guido
    Guenther <email address hidden> (closes #361957).

132 of 32 results